Last Comment Bug 700756 - Support transparent flash plugins
: Support transparent flash plugins
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 major (vote)
: ---
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 12:01 PST by James Willcox (:snorp) (jwillcox@mozilla.com)
Modified: 2012-01-10 12:24 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments

Description James Willcox (:snorp) (jwillcox@mozilla.com) 2011-11-08 12:01:18 PST
Flash uses RGBA32 when wmode=transparent. We draw the flash content to a gfxImageSurface right now, which does not support RGBA32. As a result, transparent mode won't work and we force all flash instances to wmode=opaque (which uses RGB565). We need to support 32bit surfaces and make it work with Flash.
Comment 1 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-05 12:28:03 PST
This one has been fixed for a while
Comment 2 Brad Lassey [:blassey] (use needinfo?) 2012-01-09 15:04:34 PST
(In reply to James Willcox (:snorp) (jwillcox@mozilla.com) from comment #1)
> This one has been fixed for a while

does "a while" mean pre-aurora merge? if so, mark status-firefox11 to fixed

Note You need to log in before you can comment on or make changes to this bug.